Public Class NovaOptions

    'NovaProfilePreset
    Public Shared NOVAPDF_PDF_VERSION As Integer = 1
    Public Shared NOVAPDF_PDFA As Integer = 2
    Public Shared NOVAPDF_PDFA_VERSION As Integer = 3
    Public Shared NOVAPDF_PDF_LINEARIZE As Integer = 4
    Public Shared NOVAPDF_URL_ANALIZE As Integer = 5
    Public Shared NOVAPDF_INFO_ENABLE As Integer = 7
    Public Shared NOVAPDF_INFO_VIEWER_ENABLE As Integer = 8
    Public Shared NOVAPDF_COMPRESS_ENABLE As Integer = 9
    Public Shared NOVAPDF_GR_CONVERT_ENABLE As Integer = 10
    Public Shared NOVAPDF_GR_DOWNSMPL_ENABLE As Integer = 11
    Public Shared NOVAPDF_BMARK_EN_AUTO_DET_BMARKS As Integer = 12
    Public Shared NOVAPDF_SEC_ENABLE As Integer = 13
    Public Shared NOVAPDF_SAVE_LOCATION As Integer = 14
    Public Shared NOVAPDF_SHOW_SECURITY_DLG As Integer = 15
    Public Shared NOVAPDF_SHOW_DOCINFO_DLG As Integer = 16
    Public Shared NOVAPDF_ADD_XMP_METADATA As Integer = 17
    Public Shared NOVAPDF_MERGE_ENABLE As Integer = 18
    Public Shared NOVAPDF_SHOW_MERGE_DLG As Integer = 19

    'Metadata
    Public Shared NOVAPDF_PROFILE_NAME As Integer = 22
    Public Shared NOVAPDF_PROFILE_AUTHOR As Integer = 23
    Public Shared NOVAPDF_PROFILE_DESCRIPTION As Integer = 24
    'ViewerOptionsPreset
    Public Shared NOVAPDF_VIEWOP_HIDE_TOOLBARS As Integer = 25
    Public Shared NOVAPDF_VIEWOP_SHOW_DOCTITLE As Integer = 26
    Public Shared NOVAPDF_VIEWOP_TRANSITION_TYPE As Integer = 27
    Public Shared NOVAPDF_VIEWOP_TRANSITION_DIRECTION As Integer = 28
    Public Shared NOVAPDF_VIEWOP_TRANSITION_DURATION As Integer = 29
    Public Shared NOVAPDF_VIEWOP_PAGE_DURATION As Integer = 30
    Public Shared NOVAPDF_VIEWOP_ZOOM As Integer = 31
    Public Shared NOVAPDF_VIEWOP_USE_START_PAGE As Integer = 32
    Public Shared NOVAPDF_VIEWOP_START_PAGE As Integer = 33
    Public Shared NOVAPDF_VIEWOP_PAGE_LAYOUT As Integer = 34
    Public Shared NOVAPDF_VIEWOP_HIDE_MENUBAR As Integer = 35
    Public Shared NOVAPDF_VIEWOP_RESIZE_WINDOW As Integer = 36
    Public Shared NOVAPDF_VIEWOP_HIDE_USER As Integer = 37
    Public Shared NOVAPDF_VIEWOP_PAGE_MODE As Integer = 38
    Public Shared NOVAPDF_VIEWOP_FULLSCREEN As Integer = 39
    Public Shared NOVAPDF_VIEWOP_PAGE_SCALING As Integer = 40
    'AdvancedOptionsPreset
    Public Shared NOVAPDF_ADV_OPTIMIZE_TEXT As Integer = 48
    Public Shared NOVAPDF_ADV_SILENT_PRINT As Integer = 49
    Public Shared NOVAPDF_ADV_OPTIMIZE_IMAGE As Integer = 50
    Public Shared NOVAPDF_ADV_CORRECT_LINEWIDTH As Integer = 51
    Public Shared NOVAPDF_ADV_CORRECT_FILLCOLOR As Integer = 52
    Public Shared NOVAPDF_ADV_IGNORE_EMPTY_PAGES As Integer = 53
    'ContentCompressionPreset
    Public Shared NOVAPDF_COMPRESS_HIGH_COLOR As Integer = 54
    Public Shared NOVAPDF_COMPRESS_HIGH_COLOR_TYPE As Integer = 55
    Public Shared NOVAPDF_COMPRESS_HIGH_COLOR_LEVEL As Integer = 56
    Public Shared NOVAPDF_COMPRESS_INDEXED As Integer = 57
    Public Shared NOVAPDF_COMPRESS_INDEXED_TYPE As Integer = 58
    Public Shared NOVAPDF_COMPRESS_INDEXED_LEVEL As Integer = 59
    Public Shared NOVAPDF_COMPRESS_MONOCHROM As Integer = 60
    Public Shared NOVAPDF_COMPRESS_MONOCHROM_TYPE As Integer = 61
    Public Shared NOVAPDF_COMPRESS_MONOCHROM_LEVEL As Integer = 62
    Public Shared NOVAPDF_COMPRESS_TEXT_GRAPHICS As Integer = 63
    Public Shared NOVAPDF_COMPRESS_TEXT_GRAPHICS_TYPE As Integer = 64
    Public Shared NOVAPDF_COMPRESS_TEXT_GRAPHICS_LEVEL As Integer = 65
    'DocumentInfoPreset
    Public Shared NOVAPDF_DOCINFO_TITLE As Integer = 66
    Public Shared NOVAPDF_DOCINFO_CREATOR As Integer = 67
    Public Shared NOVAPDF_DOCINFO_SUBJECT As Integer = 68
    Public Shared NOVAPDF_DOCINFO_AUTHOR As Integer = 69
    Public Shared NOVAPDF_DOCINFO_KEYWORDS As Integer = 70
    'ImageConversionPreset
    Public Shared NOVAPDF_IMAGE_CONVERT_HIGH_COLOR As Integer = 71
    Public Shared NOVAPDF_IMAGE_DITHER_HIGH_COLOR As Integer = 72
    Public Shared NOVAPDF_IMAGE_CONVERT_TYPE_HIGH_COLOR As Integer = 73
    Public Shared NOVAPDF_IMAGE_CONVERT_TRESH_HIGH_COLOR As Integer = 74
    Public Shared NOVAPDF_IMAGE_DITHER_TYPE_HIGH_COLOR As Integer = 75
    Public Shared NOVAPDF_IMAGE_CONVERT_INDEXED As Integer = 76
    Public Shared NOVAPDF_IMAGE_DITHER_INDEXED As Integer = 77
    Public Shared NOVAPDF_IMAGE_CONVERT_TYPE_INDEXED As Integer = 78
    Public Shared NOVAPDF_IMAGE_CONVERT_TRESH_INDEXED As Integer = 79
    Public Shared NOVAPDF_IMAGE_DITHER_TYPE_INDEXED As Integer = 80
    Public Shared NOVAPDF_IMAGE_CONVERT_TEXTANDGR As Integer = 81
    Public Shared NOVAPDF_IMAGE_CONVERT_TYPE_TEXTANDGR As Integer = 82
    Public Shared NOVAPDF_IMAGE_CONVERT_TRESH_TEXTANDGR As Integer = 83
    'ImageDownsamplingPreset
    Public Shared NOVAPDF_DOWNSAMPLE_HIGH_COLOR As Integer = 84
    Public Shared NOVAPDF_DOWNSAMPLE_TYPE_HIGH_COLOR As Integer = 85
    Public Shared NOVAPDF_DOWNSAMPLE_RES_HIGH_COLOR As Integer = 86
    Public Shared NOVAPDF_DOWNSAMPLE_INDEXED As Integer = 87
    Public Shared NOVAPDF_DOWNSAMPLE_TYPE_INDEXED As Integer = 88
    Public Shared NOVAPDF_DOWNSAMPLE_RES_INDEXED As Integer = 89
    Public Shared NOVAPDF_DOWNSAMPLE_MONOCHROM As Integer = 90
    Public Shared NOVAPDF_DOWNSAMPLE_TYPE_MONOCHROM As Integer = 91
    Public Shared NOVAPDF_DOWNSAMPLE_RES_MONOCHROM As Integer = 92
    'OverlaysPreset
    Public Shared NOVAPDF_OVERLAY_FILE As Integer = 93
    Public Shared NOVAPDF_OVERLAY_USER_NAME As Integer = 94
    Public Shared NOVAPDF_OVERLAY_USER_PASSWORD As Integer = 95
    Public Shared NOVAPDF_OVERLAY_FILE_LOCATION As Integer = 96
    Public Shared NOVAPDF_OVERLAY_FILE_PASSWORD As Integer = 97
    Public Shared NOVAPDF_OVERLAY_REPEAT_TYPE As Integer = 99
    Public Shared NOVAPDF_OVERLAY_OPACITY As Integer = 100
    'SaveOptionsPreset
    Public Shared NOVAPDF_SAVE_PROMPT_TYPE As Integer = 101
    Public Shared NOVAPDF_SAVE_FOLDER As Integer = 103
    Public Shared NOVAPDF_SAVE_FILE_NAME As Integer = 104
    Public Shared NOVAPDF_SAVE_USER_NAME As Integer = 105
    Public Shared NOVAPDF_SAVE_USER_PASSWORD As Integer = 106
    Public Shared NOVAPDF_SAVE_FILEEXIST_ACTION As Integer = 108
    'SecurityPreset
    Public Shared NOVAPDF_SECURITY_LEVEL As Integer = 109
    Public Shared NOVAPDF_SECURITY_USER_PASSWORD As Integer = 110
    Public Shared NOVAPDF_SECURITY_OWNER_PASSWORD As Integer = 111
    Public Shared NOVAPDF_SECURITY_FLAG_PRINTDOC As Integer = 112
    Public Shared NOVAPDF_SECURITY_FLAG_MODIFYDOC As Integer = 113
    Public Shared NOVAPDF_SECURITY_FLAG_EXTRACTTEXT As Integer = 114
    Public Shared NOVAPDF_SECURITY_FLAG_MODIFYANNOTATION As Integer = 115
    Public Shared NOVAPDF_SECURITY_FLAG_PRINTHIGHRES As Integer = 116
    Public Shared NOVAPDF_SECURITY_FLAG_ASSEMBLEDOC As Integer = 117
    Public Shared NOVAPDF_SECURITY_FLAG_ADVANCEDEXTRACT As Integer = 118
    Public Shared NOVAPDF_SECURITY_FLAG_ADVANCEDFILL As Integer = 119
    'SignaturesPreset
    Public Shared NOVAPDF_SIGN_FILECERT_LOCATION As Integer = 120
    Public Shared NOVAPDF_SIGN_FILECERT_FILE As Integer = 121
    Public Shared NOVAPDF_SIGN_FILECERT_FILE_PASSWORD As Integer = 122
    Public Shared NOVAPDF_SIGN_FILECERT_USER_NAME As Integer = 123
    Public Shared NOVAPDF_SIGN_FILECERT_USER_PASSWORD As Integer = 124
    Public Shared NOVAPDF_SIGN_SYSCERT_ISSUEDTO As Integer = 125
    Public Shared NOVAPDF_SIGN_SYSCERT_ISSUEDBY As Integer = 126
    Public Shared NOVAPDF_SIGN_SYSCERT_FRIENDLYNAME As Integer = 127
    Public Shared NOVAPDF_SIGN_SYSCERT_SUBJECT As Integer = 128
    Public Shared NOVAPDF_SIGN_SYSCERT_SUBJECT_NAME As Integer = 129
    Public Shared NOVAPDF_SIGN_SYSCERT_EXPIRE_DATE As Integer = 130
    Public Shared NOVAPDF_SIGN_CERTIFICATE_TYPE As Integer = 131
    Public Shared NOVAPDF_SIGN_SHOW_GRAPHIC_NAME As Integer = 132
    Public Shared NOVAPDF_SIGN_SHOW_GRAPHIC_IAMGE As Integer = 133
    Public Shared NOVAPDF_SIGN_SHOW_KEEPASPECTRATIO As Integer = 134
    Public Shared NOVAPDF_SIGN_SHOW_CERTIFICATE_NAME As Integer = 135
    Public Shared NOVAPDF_SIGN_SHOW_SIGN_DATE As Integer = 136
    Public Shared NOVAPDF_SIGN_SHOW_CONTACT_INFO As Integer = 137
    Public Shared NOVAPDF_SIGN_SHOW_SIGN_REASON As Integer = 138
    Public Shared NOVAPDF_SIGN_SHOW_SIGN_LOCATION As Integer = 139
    Public Shared NOVAPDF_SIGN_SHOW_DETAILS As Integer = 140
    Public Shared NOVAPDF_SIGN_SHOW_LABELS As Integer = 141
    Public Shared NOVAPDF_SIGN_FONT_NAME As Integer = 142
    Public Shared NOVAPDF_SIGN_FONT_TYPE As Integer = 143
    Public Shared NOVAPDF_SIGN_FONT_SIZE As Integer = 144
    Public Shared NOVAPDF_SIGN_CUSTOM_SIZE As Integer = 145
    Public Shared NOVAPDF_SIGN_NAME_COLOR As Integer = 146
    Public Shared NOVAPDF_SIGN_NAME_OPACITY As Integer = 147
    Public Shared NOVAPDF_SIGN_IMAGE_LOCATION As Integer = 148
    Public Shared NOVAPDF_SIGN_IMAGE_FILE As Integer = 149
    Public Shared NOVAPDF_SIGN_IMAGE_USER_NAME As Integer = 150
    Public Shared NOVAPDF_SIGN_IMAGE_USER_PASSWORD As Integer = 151
    Public Shared NOVAPDF_SIGN_IMAGE_OPACITY As Integer = 152
    Public Shared NOVAPDF_SIGN_INFO_CONTACT As Integer = 153
    Public Shared NOVAPDF_SIGN_INFO_REASON As Integer = 154
    Public Shared NOVAPDF_SIGN_INFO_LOCATION As Integer = 155
    Public Shared NOVAPDF_SIGN_VIEW_VIEW As Integer = 156
    Public Shared NOVAPDF_SIGN_VIEW_PRINT As Integer = 157
    Public Shared NOVAPDF_SIGN_VIEW_EXPORT As Integer = 158
    'FontsPreset
    Public Shared NOVAPDF_FONTS_EMBED_SUBSETS As Integer = 159
    Public Shared NOVAPDF_FONTS_EMBED_ALL_USED_FONTS As Integer = 160
    Public Shared NOVAPDF_FONTS_FORCE_EMBED_PROTECTED As Integer = 161
    'LinksPreset
    Public Shared NOVAPDF_URL_DETECT_FILES As Integer = 163
    Public Shared NOVAPDF_URL_CHECK_FILE_EXISTS As Integer = 164
    Public Shared NOVAPDF_URL_UNDERLINE As Integer = 166
    Public Shared NOVAPDF_URL_OVERWRITE_COLOR As Integer = 167
    Public Shared NOVAPDF_URL_COLOR As Integer = 168
    'ImageWatermarksPreset
    Public Shared NOVAPDF_WTM_IMG_IMAGE_FILE_NAME As Integer = 200
    Public Shared NOVAPDF_WTM_IMG_IMAGE_LOCATION As Integer = 201
    Public Shared NOVAPDF_WTM_IMG_IMAGE_USER_NAME As Integer = 202
    Public Shared NOVAPDF_WTM_IMG_IMAGE_USER_PASSWORD As Integer = 203
    Public Shared NOVAPDF_WTM_IMG_IMAGE_TRANSPARENCY As Integer = 204
    Public Shared NOVAPDF_WTM_IMG_IMAGE_TRANSP_COLOR As Integer = 205
    Public Shared NOVAPDF_WTM_IMG_IMAGE_OPACITY As Integer = 206
    Public Shared NOVAPDF_WTM_IMG_COLOR_VARIATION As Integer = 207
    Public Shared NOVAPDF_WTM_IMG_VISIBILITY_VIEW As Integer = 208
    Public Shared NOVAPDF_WTM_IMG_VISIBILITY_PRINT As Integer = 209
    Public Shared NOVAPDF_WTM_IMG_VISIBILITY_EXPORT As Integer = 210
    'Metadata
    Public Shared NOVAPDF_WTM_IMG_NAME As Integer = 211
    Public Shared NOVAPDF_WTM_IMG_AUTHOR As Integer = 212
    Public Shared NOVAPDF_WTM_IMG_DESCRIPTION As Integer = 213
    'TextWatermarksPreset
    Public Shared NOVAPDF_WTM_TXT_WATERMARK_TEXT As Integer = 240
    Public Shared NOVAPDF_WTM_TXT_FONT_NAME As Integer = 241
    Public Shared NOVAPDF_WTM_TXT_FONT_TYPE As Integer = 242
    Public Shared NOVAPDF_WTM_TXT_FONT_SIZE As Integer = 243
    Public Shared NOVAPDF_WTM_TXT_FONT_BOLD As Integer = 244
    Public Shared NOVAPDF_WTM_TXT_FONT_ITALIC As Integer = 245
    Public Shared NOVAPDF_WTM_TXT_FONT_OUTLINE As Integer = 246
    Public Shared NOVAPDF_WTM_TXT_FONT_UNDERLINE As Integer = 247
    Public Shared NOVAPDF_WTM_TXT_FONT_COLOR As Integer = 248
    Public Shared NOVAPDF_WTM_TXT_OPACITY As Integer = 249
    Public Shared NOVAPDF_WTM_TXT_VISIBILITY_VIEW As Integer = 250
    Public Shared NOVAPDF_WTM_TXT_VISIBILITY_PRINT As Integer = 251
    Public Shared NOVAPDF_WTM_TXT_VISIBILITY_EXPORT As Integer = 252
    Public Shared NOVAPDF_WTM_TXT_UNDERLINE_POSITION As Integer = 253
    Public Shared NOVAPDF_WTM_TXT_UNDERLINE_THICKNESS As Integer = 254
    Public Shared NOVAPDF_WTM_TXT_TEXT_CORRECTION As Integer = 255
    'Metadata
    Public Shared NOVAPDF_WTM_TXT_NAME As Integer = 256
    Public Shared NOVAPDF_WTM_TXT_AUTHOR As Integer = 257
    Public Shared NOVAPDF_WTM_TXT_DESCRIPTION As Integer = 258
    'Border (additions)
    Public Shared NOVAPDF_URL_BORDER_WIDTH_UNITS As Integer = 259
    'Save (additions)
    Public Shared NOVAPDF_SAVE_FOLDER_TYPE As Integer = 260
    'Security (additions)
    Public Shared NOVAPDF_SECURITY_ENCRYPT_XMP As Integer = 262
    'BookmarksPreset
    Public Shared NOVAPDF_BMK_ALLOW_MULTILINE As Integer = 280
    Public Shared NOVAPDF_BMK_MATCH_ALL_LEVELS As Integer = 281
    Public Shared NOVAPDF_BMK_USE_LEVELS As Integer = 282
    Public Shared NOVAPDF_BMK_OPEN_TO_LEVEL As Integer = 283
    Public Shared NOVAPDF_BMK_ROOT_NAME As Integer = 284
    Public Shared NOVAPDF_BMK_ROOT_ENABLED As Integer = 285
    Public Shared NOVAPDF_BMK_ROOT_BOLD As Integer = 286
    Public Shared NOVAPDF_BMK_ROOT_ITALIC As Integer = 287
    Public Shared NOVAPDF_BMK_ROOT_COLOR As Integer = 288
    'LayoutsPreset
    Public Shared NOVAPDF_LAYOUT_LEFTANCHOR_USED As Integer = 320
    Public Shared NOVAPDF_LAYOUT_LEFTANCHOR_OFFSET As Integer = 321
    Public Shared NOVAPDF_LAYOUT_LEFTANCHOR_USE_PERCENT As Integer = 322
    Public Shared NOVAPDF_LAYOUT_RIGHTANCHOR_USED As Integer = 323
    Public Shared NOVAPDF_LAYOUT_RIGHTANCHOR_OFFSET As Integer = 324
    Public Shared NOVAPDF_LAYOUT_RIGHTANCHOR_USE_PERCENT As Integer = 325
    Public Shared NOVAPDF_LAYOUT_TOPANCHOR_USED As Integer = 326
    Public Shared NOVAPDF_LAYOUT_TOPANCHOR_OFFSET As Integer = 327
    Public Shared NOVAPDF_LAYOUT_TOPANCHOR_USE_PERCENT As Integer = 328
    Public Shared NOVAPDF_LAYOUT_BOTTOMANCHOR_USED As Integer = 329
    Public Shared NOVAPDF_LAYOUT_BOTTOMANCHOR_OFFSET As Integer = 330
    Public Shared NOVAPDF_LAYOUT_BOTTOMANCHOR_USE_PERCENT As Integer = 331
    Public Shared NOVAPDF_LAYOUT_VERTANCHOR_USED As Integer = 332
    Public Shared NOVAPDF_LAYOUT_VERTLANCHOR_OFFSET As Integer = 333
    Public Shared NOVAPDF_LAYOUT_VERTANCHOR_USE_PERCENT As Integer = 334
    Public Shared NOVAPDF_LAYOUT_HORIZANCHOR_USED As Integer = 335
    Public Shared NOVAPDF_LAYOUT_HORIZANCHOR_OFFSET As Integer = 336
    Public Shared NOVAPDF_LAYOUT_HORIZANCHOR_USE_PERCENT As Integer = 337
    Public Shared NOVAPDF_LAYOUT_USE_ASPECT_RATIO As Integer = 338
    Public Shared NOVAPDF_LAYOUT_WIDTH As Integer = 339
    Public Shared NOVAPDF_LAYOUT_HEIGHT As Integer = 340
    Public Shared NOVAPDF_LAYOUT_ROTATION As Integer = 341
    Public Shared NOVAPDF_LAYOUT_UNITS As Integer = 342
    Public Shared NOVAPDF_LAYOUT_FIRSTPAGE As Integer = 343
    Public Shared NOVAPDF_LAYOUT_LASTPAGE As Integer = 344
    Public Shared NOVAPDF_LAYOUT_ODDPAGE As Integer = 345
    Public Shared NOVAPDF_LAYOUT_EVENPAGE As Integer = 346
    Public Shared NOVAPDF_LAYOUT_ALLPAGE As Integer = 347
    Public Shared NOVAPDF_LAYOUT_PAGES As Integer = 348
    Public Shared NOVAPDF_LAYOUT_PAGERANGE As Integer = 349
    Public Shared NOVAPDF_LAYOUT_ZINDEX As Integer = 350
    Public Shared NOVAPDF_LAYOUT_FORM_WIDTH As Integer = 351
    Public Shared NOVAPDF_LAYOUT_FORM_HEIGHT As Integer = 352
    Public Shared NOVAPDF_LAYOUT_BOUNDING_WIDTH As Integer = 353
    Public Shared NOVAPDF_LAYOUT_BOUNDING_HEIGHT As Integer = 354
    Public Shared NOVAPDF_LAYOUT_ORIGINAL_WIDTH As Integer = 355
    Public Shared NOVAPDF_LAYOUT_ORIGINAL_HEIGHT As Integer = 356
    Public Shared NOVAPDF_LAYOUT_ALLOW_STRETCH As Integer = 386
    Public Shared NOVAPDF_LAYOUT_STRETCH_X As Integer = 387
    Public Shared NOVAPDF_LAYOUT_STRETCH_Y As Integer = 388
    Public Shared NOVAPDF_LAYOUT_STRETCH_ROT_X As Integer = 389
    Public Shared NOVAPDF_LAYOUT_STRETCH_ROT_Y As Integer = 390
    Public Shared NOVAPDF_LAYOUT_OBJECT_WIDTH As Integer = 393
    Public Shared NOVAPDF_LAYOUT_OBJECT_HEIGHT As Integer = 394
    'Metadata
    Public Shared NOVAPDF_LAYOUT_NAME As Integer = 357
    Public Shared NOVAPDF_LAYOUT_AUTHOR As Integer = 358
    Public Shared NOVAPDF_LAYOUT_DESCRIPTION As Integer = 359
    Public Shared NOVAPDF_LAYOUT_SCALE_X As Integer = 360
    Public Shared NOVAPDF_LAYOUT_SCALE_Y As Integer = 361
    'BordersPreset (layout)
    Public Shared NOVAPDF_LAYOUT_USE_BORDER As Integer = 380
    Public Shared NOVAPDF_LAYOUT_BORDER_TYPE As Integer = 381
    Public Shared NOVAPDF_LAYOUT_BORDER_STYLE As Integer = 382
    Public Shared NOVAPDF_LAYOUT_BORDER_WIDTH As Integer = 383
    Public Shared NOVAPDF_LAYOUT_BORDER_COLOR As Integer = 384
    Public Shared NOVAPDF_LAYOUT_BORDER_POSITION As Integer = 385
    '-----------------------------------------------------------------------------
    ' Actions options
    '-----------------------------------------------------------------------------
    'AfterSaveActionPreset - Run action
    Public Shared NOVAPDF_ACTION_RUN_APPLICATION As Integer = 43
    Public Shared NOVAPDF_ACTION_RUN_USER_NAME As Integer = 45
    Public Shared NOVAPDF_ACTION_RUN_USER_PASSWORD As Integer = 46
    Public Shared NOVAPDF_ACTION_RUN_CMDLINE_PARAMETERS As Integer = 47
    '/EmailMapiPreset
    Public Shared NOVAPDF_EMAILMAPI_SENDEMAIL As Integer = 421
    Public Shared NOVAPDF_EMAILMAPI_FROM As Integer = 422
    Public Shared NOVAPDF_EMAILMAPI_TO As Integer = 423
    Public Shared NOVAPDF_EMAILMAPI_CC As Integer = 424
    Public Shared NOVAPDF_EMAILMAPI_BCC As Integer = 425
    Public Shared NOVAPDF_EMAILMAPI_COMPRESS As Integer = 426
    Public Shared NOVAPDF_EMAILMAPI_CHANGEEXTENSION As Integer = 427
    Public Shared NOVAPDF_EMAILMAPI_ATTACH_PDF As Integer = 428
    Public Shared NOVAPDF_EMAILMAPI_LOOKUP_ADDRESS As Integer = 430
    Public Shared NOVAPDF_EMAILMAPI_ATTACH_OTHER_FILES As Integer = 431
    Public Shared NOVAPDF_EMAILMAPI_OTHER_FILES As Integer = 432
    Public Shared NOVAPDF_EMAILMAPI_SUBJECT As Integer = 433
    Public Shared NOVAPDF_EMAILMAPI_BODY As Integer = 434
    Public Shared NOVAPDF_EMAILMAPI_EXTENSION As Integer = 435
    'EmailSmtpPreset
    Public Shared NOVAPDF_EMAILSMTP_FROM As Integer = 436
    Public Shared NOVAPDF_EMAILSMTP_TO As Integer = 437
    Public Shared NOVAPDF_EMAILSMTP_CC As Integer = 438
    Public Shared NOVAPDF_EMAILSMTP_BCC As Integer = 439
    Public Shared NOVAPDF_EMAILSMTP_COMPRESS As Integer = 440
    Public Shared NOVAPDF_EMAILSMTP_CHANGEEXTENSION As Integer = 441
    Public Shared NOVAPDF_EMAILSMTP_ATTACH_PDF As Integer = 442
    Public Shared NOVAPDF_EMAILSMTP_ATTACH_OTHER_FILES As Integer = 445
    Public Shared NOVAPDF_EMAILSMTP_OTHER_FILES As Integer = 446
    Public Shared NOVAPDF_EMAILSMTP_SUBJECT As Integer = 447
    Public Shared NOVAPDF_EMAILSMTP_BODY As Integer = 448
    Public Shared NOVAPDF_EMAILSMTP_EXTENSION As Integer = 449
    Public Shared NOVAPDF_EMAILSMTP_SERVER As Integer = 450
    Public Shared NOVAPDF_EMAILSMTP_PORT As Integer = 451
    Public Shared NOVAPDF_EMAILSMTP_SSL As Integer = 452
    Public Shared NOVAPDF_EMAILSMTP_AUTHENTICATION As Integer = 453
    Public Shared NOVAPDF_EMAILSMTP_ACCOUNT As Integer = 454
    Public Shared NOVAPDF_EMAILSMTP_PASSWORD As Integer = 455
    Public Shared NOVAPDF_EMAILSMTP_TLS As Integer = 456
    'OpenViewerPreset
    Public Shared NOVAPDF_ACTION_OPEN_CUSTOMSOURCE As Integer = 460
    Public Shared NOVAPDF_ACTION_OPEN_OPENORIGINAL As Integer = 461
    'CustomSourceFile
    'AfterSaveDeletePreset
    Public Shared NOVAPDF_ACTION_DELETE_CUSTOMSOURCE As Integer = 464
    Public Shared NOVAPDF_ACTION_DELETE_DELETEORIGINAL As Integer = 465
    Public Shared NOVAPDF_ACTION_DELETE_USERNAME As Integer = 466
    Public Shared NOVAPDF_ACTION_DELETE_PASSWORD As Integer = 467
    'AfterSaveCopyPreset
    Public Shared NOVAPDF_ACTION_COPY_CUSTOMSOURCE As Integer = 468
    Public Shared NOVAPDF_ACTION_COPY_SOURCECOPYORIGINAL As Integer = 469
    Public Shared NOVAPDF_ACTION_COPY_DESTCOPYORIGINAL As Integer = 470
    Public Shared NOVAPDF_ACTION_COPY_CUSTOMDESTFOLDER As Integer = 471
    Public Shared NOVAPDF_ACTION_COPY_CUSTOMDESTFILE As Integer = 472
    Public Shared NOVAPDF_ACTION_COPY_SOURCEUSERNAME As Integer = 473
    Public Shared NOVAPDF_ACTION_COPY_SOURCEPASSWORD As Integer = 474
    Public Shared NOVAPDF_ACTION_COPY_DESTUSERNAME As Integer = 475
    Public Shared NOVAPDF_ACTION_COPY_DESTPASSWORD As Integer = 476
    Public Shared NOVAPDF_ACTION_COPY_DESTKEEPFILENAME As Integer = 477
    'FTPPreset
    Public Shared NOVAPDF_ACTION_FTP_SOURCEFILE As Integer = 480
    Public Shared NOVAPDF_ACTION_FTP_SOURCEUSER As Integer = 481
    Public Shared NOVAPDF_ACTION_FTP_SOURCEPASSWORD As Integer = 482
    Public Shared NOVAPDF_ACTION_FTP_DESTFOLDER As Integer = 483
    Public Shared NOVAPDF_ACTION_FTP_DESTFILE As Integer = 484
    Public Shared NOVAPDF_ACTION_FTP_SERVER As Integer = 485
    Public Shared NOVAPDF_ACTION_FTP_PORT As Integer = 486
    Public Shared NOVAPDF_ACTION_FTP_USERNAME As Integer = 487
    Public Shared NOVAPDF_ACTION_FTP_PASSWORD As Integer = 488
    Public Shared NOVAPDF_ACTION_FTP_UPLOADSPEEDCHECK As Integer = 489
    Public Shared NOVAPDF_ACTION_FTP_UPLOADSPEED As Integer = 490
    Public Shared NOVAPDF_ACTION_FTP_USEPASSIVEMODE As Integer = 491
    Public Shared NOVAPDF_ACTION_FTP_TIMEOUT As Integer = 492
    Public Shared NOVAPDF_ACTION_FTP_HOST As Integer = 493
    Public Shared NOVAPDF_ACTION_FTP_HOSTPORT As Integer = 494
    Public Shared NOVAPDF_ACTION_FTP_HOSTUSERNAME As Integer = 495
    Public Shared NOVAPDF_ACTION_FTP_HOSTPASSWORD As Integer = 496
    Public Shared NOVAPDF_ACTION_FTP_RETRY As Integer = 497
    Public Shared NOVAPDF_ACTION_FTP_RETRYVALUE As Integer = 498
    Public Shared NOVAPDF_ACTION_FTP_WAIT As Integer = 499
    Public Shared NOVAPDF_ACTION_FTP_WAITVALUE As Integer = 500
    Public Shared NOVAPDF_ACTION_FTP_SSL As Integer = 501
    Public Shared NOVAPDF_ACTION_FTP_USEPROXY As Integer = 502
    Public Shared NOVAPDF_ACTION_FTP_SOURCEORIGINAL As Integer = 503
    Public Shared NOVAPDF_ACTION_FTP_KEEPFILENAME As Integer = 504
    'SFTPPreset
    Public Shared NOVAPDF_ACTION_SFTP_SOURCEORIGINAL As Integer = 510
    Public Shared NOVAPDF_ACTION_SFTP_SOURCEFILE As Integer = 511
    Public Shared NOVAPDF_ACTION_SFTP_SOURCEUSER As Integer = 512
    Public Shared NOVAPDF_ACTION_SFTP_SOURCEPASSWORD As Integer = 513
    Public Shared NOVAPDF_ACTION_SFTP_DESTFOLDER As Integer = 514
    Public Shared NOVAPDF_ACTION_SFTP_DESTFILE As Integer = 515
    Public Shared NOVAPDF_ACTION_SFTP_SERVER As Integer = 516
    Public Shared NOVAPDF_ACTION_SFTP_PORT As Integer = 517
    Public Shared NOVAPDF_ACTION_SFTP_USERNAME As Integer = 518
    Public Shared NOVAPDF_ACTION_SFTP_PASSWORD As Integer = 519
    Public Shared NOVAPDF_ACTION_SFTP_USEPRIVATEKEY As Integer = 520
    Public Shared NOVAPDF_ACTION_SFTP_UPLOADSPEEDCHECK As Integer = 521
    Public Shared NOVAPDF_ACTION_SFTP_UPLOADSPEED As Integer = 522
    Public Shared NOVAPDF_ACTION_SFTP_TIMEOUT As Integer = 528
    Public Shared NOVAPDF_ACTION_SFTP_KEYFILENAME As Integer = 530
    Public Shared NOVAPDF_ACTION_SFTP_KEYFILEPASSWORD As Integer = 531
    Public Shared NOVAPDF_ACTION_SFTP_KEEPFILENAME As Integer = 532
    Public Shared NOVAPDF_ACTION_SFTP_RETRY As Integer = 533
    Public Shared NOVAPDF_ACTION_SFTP_RETRYVALUE As Integer = 534
    Public Shared NOVAPDF_ACTION_SFTP_WAIT As Integer = 535
    Public Shared NOVAPDF_ACTION_SFTP_WAITVALUE As Integer = 536
    '<AuthenticationsList>
    '  <FeatureInfo>
    '    <Name>publickey</Name>
    '    <IsSupported>true</IsSupported>
    '  </FeatureInfo>
    '</AuthenticationsList>
    Public Shared NOVAPDF_ACTION_SFTP_AUTH_LISTSTART As Integer = 540
    Public Shared NOVAPDF_ACTION_SFTP_AUTH_PUBLICKEY As Integer = 541
    Public Shared NOVAPDF_ACTION_SFTP_AUTH_PASSWORD As Integer = 542
    Public Shared NOVAPDF_ACTION_SFTP_AUTH_KEYBOARDINT As Integer = 543
    Public Shared NOVAPDF_ACTION_SFTP_AUTH_LISTEND As Integer = 543
    '<CiphersList>
    '  <FeatureInfo>
    '    <Name>aes256-ctr</Name>
    '    <IsSupported>true</IsSupported>
    '  </FeatureInfo>
    '</CiphersList>
    Public Shared NOVAPDF_ACTION_SFTP_CIPHER_LISTSTART As Integer = 550
    Public Shared NOVAPDF_ACTION_SFTP_CIPHER_AES256CTR As Integer = 550
    Public Shared NOVAPDF_ACTION_SFTP_CIPHER_3DESCBC As Integer = 551
    Public Shared NOVAPDF_ACTION_SFTP_CIPHER_AES128CBC As Integer = 552
    Public Shared NOVAPDF_ACTION_SFTP_CIPHER_AES192CBC As Integer = 553
    Public Shared NOVAPDF_ACTION_SFTP_CIPHER_AES256CBC As Integer = 554
    Public Shared NOVAPDF_ACTION_SFTP_CIPHER_BLOWFISHCBC As Integer = 555
    Public Shared NOVAPDF_ACTION_SFTP_CIPHER_TWOFISHCBC As Integer = 556
    Public Shared NOVAPDF_ACTION_SFTP_CIPHER_TWOFISH192CBC As Integer = 557
    Public Shared NOVAPDF_ACTION_SFTP_CIPHER_TWOFISH128CBC As Integer = 558
    Public Shared NOVAPDF_ACTION_SFTP_CIPHER_TWOFISH256CBC As Integer = 559
    Public Shared NOVAPDF_ACTION_SFTP_CIPHER_ARCFOUR As Integer = 560
    Public Shared NOVAPDF_ACTION_SFTP_CIPHER_ARCFOUR128 As Integer = 561
    Public Shared NOVAPDF_ACTION_SFTP_CIPHER_ARCFOUR256 As Integer = 562
    Public Shared NOVAPDF_ACTION_SFTP_CIPHER_CAST128CBC As Integer = 563
    Public Shared NOVAPDF_ACTION_SFTP_CIPHER_AES128CTR As Integer = 564
    Public Shared NOVAPDF_ACTION_SFTP_CIPHER_AES192CTR As Integer = 565
    Public Shared NOVAPDF_ACTION_SFTP_CIPHER_LISTEND As Integer = 565
    '<MACsList>
    '  <FeatureInfo>
    '    <Name>hmac-md5</Name>
    '    <IsSupported>true</IsSupported>
    '  </FeatureInfo>
    '</MACsList>
    Public Shared NOVAPDF_ACTION_SFTP_MAC_LISTSTART As Integer = 570
    Public Shared NOVAPDF_ACTION_SFTP_MAC_MD5 As Integer = 570
    Public Shared NOVAPDF_ACTION_SFTP_MAC_SHA1 As Integer = 571
    Public Shared NOVAPDF_ACTION_SFTP_MAC_SHA2256 As Integer = 572
    Public Shared NOVAPDF_ACTION_SFTP_MAC_SHA225696 As Integer = 573
    Public Shared NOVAPDF_ACTION_SFTP_MAC_RIPEMD160 As Integer = 574
    Public Shared NOVAPDF_ACTION_SFTP_MAC_RIPEMD160OPENSSH As Integer = 575
    Public Shared NOVAPDF_ACTION_SFTP_MAC_MD596 As Integer = 576
    Public Shared NOVAPDF_ACTION_SFTP_MAC_SHA196 As Integer = 577
    Public Shared NOVAPDF_ACTION_SFTP_MAC_LISTEND As Integer = 577
    '<CompressionsList>
    '  <FeatureInfo>
    '    <Name>none</Name>
    '    <IsSupported>true</IsSupported>
    '  </FeatureInfo>
    '</CompressionsList>
    Public Shared NOVAPDF_ACTION_SFTP_COMPRESS_LISTSTART As Integer = 580
    Public Shared NOVAPDF_ACTION_SFTP_COMPRESS_NONE As Integer = 580
    Public Shared NOVAPDF_ACTION_SFTP_COMPRESS_ZLIBOPENSSH As Integer = 581
    Public Shared NOVAPDF_ACTION_SFTP_COMPRESS_LISTEND As Integer = 581
    'ActionPreset
    Public Shared NOVAPDF_ACTION_MINIM As Integer = 600
    Public Shared NOVAPDF_ACTION_INDEX As Integer = 600
    Public Shared NOVAPDF_ACTION_FAIL As Integer = 601
    Public Shared NOVAPDF_ACTION_NAME As Integer = 602
    Public Shared NOVAPDF_ACTION_SHOW_DIALOG As Integer = 603
    Public Shared NOVAPDF_ACTION_EXECUTE As Integer = 604
    Public Shared NOVAPDF_ACTION_MAXIM As Integer = 604
    'DocumentRightsPreset
    Public Shared NOVAPDF_COPYRIGHT_TEXT As Integer = 611
    Public Shared NOVAPDF_COPYRIGHT_URL As Integer = 612
    Public Shared NOVAPDF_COPYRIGHT_TYPE As Integer = 613
    'AdvancedOptionsPreset (added)
    Public Shared NOVAPDF_ADV_VERIFY_FILE As Integer = 621
    Public Shared NOVAPDF_ADV_COPIES_ADD_PAGE As Integer = 622
    Public Shared NOVAPDF_ADV_COPIES_ONLY_ODD As Integer = 623
    'MergePreset
    'moved from save options
    Public Shared NOVAPDF_MERGE_APPEND_PASSWORD As Integer = 107
    Public Shared NOVAPDF_MERGE_INSERT_PAGENO As Integer = 261
    'new
    Public Shared NOVAPDF_MERGE_IF_FILE_EXISTS As Integer = 630
    Public Shared NOVAPDF_MERGE_TYPE As Integer = 631
    Public Shared NOVAPDF_MERGE_OTHER_FILE As Integer = 632
    Public Shared NOVAPDF_MERGE_LOCATION As Integer = 633
    Public Shared NOVAPDF_MERGE_USER As Integer = 634
    Public Shared NOVAPDF_MERGE_PASSWORD As Integer = 635

    'AfterSaveActionPreset
    'new
    Public Shared NOVAPDF_ACTION_RUN_SHOW As Integer = 640
    Public Shared NOVAPDF_ACTION_RUN_SHELL As Integer = 641

    ' Printer options
    Public Shared NOVAPDF_PRINTER_ACTIVE_PROFILE As Integer = 801
    Public Shared NOVAPDF_PRINTER_SELECT_PROFILE_DLG As Integer = 802
End Class

Public Enum NovaVersions
    PDF_VERSION_13 = 3
    PDF_VERSION_14 = 4
    PDF_VERSION_15 = 5
    PDF_VERSION_16 = 6
    PDF_VERSION_17 = 7
End Enum

Public Enum PDFAType

    PDFA_1A = 1
    PDFA_1B = 2
End Enum

Public Enum TransitionsTypes

    TRANSITION_TYPE_VIEWERDEFAULT = 0
    TRANSITION_TYPE_REPLACE = 1
    TRANSITION_TYPE_SPLIT = 2
    TRANSITION_TYPE_BLINDS = 3
    TRANSITION_TYPE_BOX = 4
    TRANSITION_TYPE_WIPE = 5
    TRANSITION_TYPE_DISSOLVE = 6
    TRANSITION_TYPE_GLITTER = 7
    TRANSITION_TYPE_FLYIN = 8
    TRANSITION_TYPE_FLYOUT = 9
    TRANSITION_TYPE_PUSH = 10
    TRANSITION_TYPE_COVER = 11
    TRANSITION_TYPE_UNCOVER = 12
    TRANSITION_TYPE_FADE = 13
End Enum

Public Enum PageMagnification

    PAGE_MAGN_VIEWERDEFAULT = 0
    PAGE_MAGN_DEFAULT = 1
    PAGE_MAGN_FITWIDTH = 2
    PAGE_MAGN_FITHEIGHT = 3
    PAGE_MAGN_FITPAGE = 4
    PAGE_MAGN_PERCENT = 5
    PAGE_MAGN_FITVISIBLE = 6
End Enum

Public Enum TransitionsDirection

    TRANSITION_DIR_HORZ = 0
    TRANSITION_DIR_VERT = 1
End Enum

Public Enum PageLayout

    PAGE_LAY_VIEWERDEF = 0
    PAGE_LAY_SINGLE = 1
    PAGE_LAY_COLUMN = 2
    PAGE_LAY_TWOCOL_LEFT = 3
    PAGE_LAY_TWOCOL_RIGHT = 4
    PAGE_LAY_TWOPAGE_LEFT = 5
    PAGE_LAY_TWOPAGE_RIGHT = 6
End Enum

Public Enum PageMode

    PAGE_MODE_VIEWERDEFAULT = 0
    PAGE_MODE_NONE = 1
    PAGE_MODE_OUTLINES = 2
    PAGE_MODE_PAGES = 3
    PAGE_MODE_FULLSCREEN = 4
    PAGE_MODE_LAYERS = 5
    PAGE_MODE_ATTACHMENTS = 6
End Enum

Public Enum PageScale

    PAGE_SCALE_APPDEFAULT = 0
    PAGE_SCALE_NONE = 1
End Enum

Public Enum FullScreenMode

    FULLSCREEN_VIEWERDEF = 0
    FULLSCREEN_NONE = 1
    FULLSCREEN_BOOKMARKS = 2
    FULLSCREEN_PAGES = 3
    FULLSCREEN_LAYERS = 4
End Enum

Public Enum BorderStyle

    BORDER_STYLE_SOLID = 0
    BORDER_STYLE_DASHED = 1
End Enum

Public Enum BorderPosition

    BORDER_POSITION_NEUTRAL = 0
    BORDER_POSITION_INTERIOR = 1
    BORDER_POSITION_EXTERIOR = 2
End Enum

Public Enum Units

    NOVA_UNITS_MILIMETERS = 0
    NOVA_UNITS_CENTIMETERS = 1
    NOVA_UNITS_INCHES = 2
End Enum

Public Enum DownsampleFilter

    DOWNSAMPLE_FILTER_BOX = 0
    DOWNSAMPLE_FILTER_BILINEAR = 1
    DOWNSAMPLE_FILTER_BSPLINE = 2
    DOWNSAMPLE_FILTER_BICUBIC = 3
    DOWNSAMPLE_FILTER_CATMULLROM = 4
    DOWNSAMPLE_FILTER_LANCZOS3 = 5
End Enum

Public Enum CompressionMethod

    COMPRESS_METHOD_ZIP = 0
    COMPRESS_METHOD_JPEG = 1
End Enum

Public Enum ImageConversionType

    CONVERT_GRAYSCALE = 0
    CONVERT_MONOCHROME = 1
End Enum

Public Enum Dither

    DITHER_FS = 0
    DITHER_BAYER4 = 1
    DITHER_BAYER8 = 2
    DITHER_ORDER6 = 3
    DITHER_ORDER8 = 4
    DITHER_ORDER16 = 5
End Enum

Public Enum SecurityLevel

    SECURITY_40BITS = 1
    SECURITY_128BITS = 2
    SECURITY_128AES = 3
    SECURITY_256AES = 4
End Enum

Public Enum SaveDlgType

    PROMPT_SAVE_EXTENDED = 0
    PROMPT_SAVE_NONE = 1
    PROMPT_SAVE_SIMPLE = 2
End Enum

Public Enum LocationType

    LOCATION_TYPE_LOCAL = 1
    LOCATION_TYPE_SERVER = 2
End Enum

Public Enum SaveFolder

    SAVEFOLDER_APPLICATION = 1
    SAVEFOLDER_LAST = 2
    SAVEFOLDER_CUSTOM = 3
    SAVEFOLDER_MYDOCUMENTS = 4
End Enum

Public Enum SendEmailMethod
    EMAIL_TYPE_MAPI_NO_DLG = 0
    EMAIL_TYPE_MAPI_DLG = 1
    EMAIL_TYPE_SMTP = 2
End Enum

Public Enum SaveFileConflictType

    FILE_CONFLICT_STRATEGY_PROMPT = 0
    FILE_CONFLICT_STRATEGY_AUTONUMBER_NEW = 1
    FILE_CONFLICT_STRATEGY_APPEND_DATE = 2
    FILE_CONFLICT_STRATEGY_OVERWRITE = 3
    FILE_CONFLICT_STRATEGY_AUTONUMBER_EXIST = 4
    FILE_CONFLICT_STRATEGY_DONTSAVE = 7
End Enum

Public Enum FontType

    NOVA_FONTTYPE_TRUETYPE = 0
    NOVA_FONTTYPE_TYPE1 = 1
    NOVA_FONTTYPE_OT_TRUETYPE = 2
    NOVA_FONTTYPE_OT_TYPE1 = 3
End Enum

Public Enum OverlayRepeatType

    OVERLAY_REPEAT_NONE = 0
    OVERLAY_REPEAT_LAST = 1
    OVERLAY_REPEAT_ALL = 2
End Enum

Public Enum CertificateType

    CERTIFICATE_TYPE_USER = 0
    CERTIFICATE_TYPE_SYSTEM = 1
    CERTIFICATE_TYPE_FILE = 2
End Enum

Public Enum ActionType
    NOVA_ACTION_COPY = 1
    NOVA_ACTION_DELETE = 2
    NOVA_ACTION_EMAILMAPI = 3
    NOVA_ACTION_EMAILSMTP = 4
    NOVA_ACTION_GENERATEPDF = 5
    NOVA_ACTION_OPEN = 6
    NOVA_ACTION_RUN = 7
    NOVA_ACTION_FTP = 8
    NOVA_ACTION_SFTP = 9
End Enum

Public Enum ActionFailType
    NOVA_ACTION_FAIL_CONTINUE = 0
    NOVA_ACTION_FAIL_STOP = 1
End Enum

Public Enum FileSizeType
    NOVA_ACTION_FILESIZE_MB = 0
    NOVA_ACTION_FILESIZE_GB = 1
End Enum

Public Enum CopyrightType
    COPYRIGHT_TYPE_UNKNOWN = 0
    COPYRIGHT_TYPE_COPYRIGHTED = 1
    COPYRIGHT_TYPE_PUBLICDOMAIN = 2
End Enum

Public Enum MergeType
    MERGE_TYPE_APPEND = 0
    MERGE_TYPE_INSERT = 1
    MERGE_TYPE_INSERT_PAGENO = 2
End Enum

Public Enum RunAs
    RUN_NORMAL = 0
    RUN_MINIMIZED = 1
    RUN_HIDDEN = 2
End Enum


Public Class NovaMessages

    Public Shared MSG_NOVAPDF2_STARTDOC As String = "NOVAPDF2_STARTDOC"
    Public Shared MSG_NOVAPDF2_ENDDOC As String = "NOVAPDF2_ENDDOC"
    Public Shared MSG_NOVAPDF2_STARTPAGE As String = "NOVAPDF2_STARTPAGE"
    Public Shared MSG_NOVAPDF2_ENDPAGE As String = "NOVAPDF2_ENDPAGE"
    Public Shared MSG_NOVAPDF2_FILESENT As String = "NOVAPDF2_FILESENT"
    Public Shared MSG_NOVAPDF2_PRINTERROR As String = "NOVAPDF2_PRINTERROR"
    Public Shared MSG_NOVAPDF2_FILESAVED As String = "NOVAPDF2_FILESAVED"
    Public Shared MSG_NOVAPDF2_EMAILSENT As String = "NOVAPDF2_EMAILSENT"
    Public Shared MSG_NOVAPDF2_EMAILERROR As String = "NOVAPDF2_EMAILERROR"

    '------------------------------------------------------------------------------------------------------------------
    'ERROR CODES FOR NOVAPDF2_PRINTERROR MESSAGE
    '------------------------------------------------------------------------------------------------------------------
    Public Shared ERROR_MSG_TEMP_FILE As String = 1
    Public Shared ERROR_MSG_LIC_INFO As String = 2
    Public Shared ERROR_MSG_SAVE_PDF As String = 3
    Public Shared ERROR_MSG_JOB_CANCELED As String = 4
    Public Shared ERROR_MSG_LIC_COPIES As String = 5
    Public Shared ERROR_MSG_LIC_CLIENT As String = 6
    Public Shared ERROR_MSG_SEND_EMAIL As String = 7
    Public Shared ERROR_MSG_CONNECT_SRV As String = 8
    Public Shared ERROR_MSG_JOB_INFO As String = 9
    Public Shared ERROR_MSG_READ_PROFILE As String = 10
    Public Shared ERROR_MSG_PDF_ENCRYPT_AP As String = 11
    Public Shared ERROR_MSG_PDF_ENCRYPT_INS As String = 12
    Public Shared ERROR_MSG_PDF_APPEND As String = 13
    Public Shared ERROR_MSG_PDF_INSERT As String = 14
    Public Shared ERROR_MSG_OVERLAY_ENCRYPT As String = 15
    Public Shared ERROR_MSG_OVERLAY_READ As String = 16
End Class

Public Class NovaEvents
    Public Shared NOVAPDF_EVENT_START_DOC As String = "NOVAPDF_EVENT_START_DOC"
    Public Shared NOVAPDF_EVENT_END_DOC As String = "NOVAPDF_EVENT_END_DOC"
    Public Shared NOVAPDF_EVENT_FILE_SAVED As String = "NOVAPDF_EVENT_FILE_SAVED"
    Public Shared NOVAPDF_EVENT_ACTIONS As String = "NOVAPDF_EVENT_ACTIONS_FINISHED"
End Class

Public Class NovaErrors

    Public Shared FACILITY_NOVA As Integer = &H55DA

    ' general error codes
    ' MessageId: NV_NOT_INITIALIZED
    ' MessageText: Initialize was not called.
    Public Shared NV_NOT_INITIALIZED As Long = &HD5DA0001

    ' get/set options error codes
    ' MessageId: NV_INVALID_OPTION
    ' MessageText: invalid option name
    Public Shared NV_INVALID_OPTION As Long = &HD5DA0004

    ' get/set options error codes
    ' MessageId: NV_WRONG_OPTION_TYPE
    ' MessageText: invalid option type
    Public Shared NV_WRONG_OPTION_TYPE As Long = &HD5DA0005

    ' MessageId: NV_UNKNOWN_PROFILE
    ' MessageText: profile does not exist
    Public Shared NV_UNKNOWN_PROFILE As Long = &HD5DA0008

    ' MessageId: NV_NO_MORE_PROFILES
    ' MessageText: enumeration of profiles is finished
    Public Shared NV_NO_MORE_PROFILES As Long = &HD5DA000A

    ' MessageId: NV_ENUM_NOT_INIT
    ' MessageText: GetFirstProfile or GetFirstForm not called
    Public Shared NV_ENUM_NOT_INIT As Long = &HD5DA000B

    ' MessageId: NV_NODEFAULT_PRINTER
    ' MessageText: SetDefaultPrinter was not called
    Public Shared NV_NODEFAULT_PRINTER As Long = &HD5DA0014

    ' MessageId: NV_NOT_REGISTERED
    ' MessageText: novapi2.dll (this module) is not registered
    Public Shared NV_NOT_REGISTERED As Long = &HD5DA0015

    ' MessageId: NV_INVALID_BOOKMARK_DEF
    ' MessageText: invalif bookmark definition index
    Public Shared NV_INVALID_BOOKMARK_DEF As Long = &HD5DA0016

    ' MessageId: NV_INVALID_PRINTER_NAME
    ' MessageText: cannot find printer with given printer name
    Public Shared NV_INVALID_PRINTER_NAME As Long = &HD5DA0018

    ' MessageId: NV_NOT_A_NOVAPDF_PRINTER
    ' MessageText: printer is not a novaPDF printer
    Public Shared NV_NOT_A_NOVAPDF_PRINTER As Long = &HD5DA0019

    ' MessageId: NV_PUBLIC_PROFILE
    ' MessageText: you are not allowed to modify public profiles on client PCs
    Public Shared NV_PUBLIC_PROFILE As Long = &HD5DA0020

    ' MessageId: NV_INVALID_WATERMARK_IMG
    ' MessageText: invalid watermark image index
    Public Shared NV_INVALID_WATERMARK_IMG As Long = &HD5DA0021

    ' MessageId: NV_INVALID_WATERMARK_TXT
    ' MessageText: invalid watermark text index
    Public Shared NV_INVALID_WATERMARK_TXT As Long = &HD5DA0022

    ' MessageId: NV_ERROR_DELETE_PRINTER
    ' MessageText: there was an error deleting printer
    Public Shared NV_ERROR_DELETE_PRINTER As Long = &HD5DA0025

    ' MessageId: NV_PROFILE_ERROR
    ' MessageText: error reading profile
    Public Shared NV_PROFILE_ERROR As Long = &HD5DA0027

    ' MessageId: NV_NO_ACTIVE_PROFILE
    ' MessageText: there is no valid active profile
    Public Shared NV_NO_ACTIVE_PROFILE As Long = &HD5DA0028

    ' MessageId: NV_NO_PROFILE
    ' MessageText: there is no profile loaded
    Public Shared NV_NO_PROFILE As Long = &HD5DA0029

    ' MessageId: NV_SERVICE_ERROR
    ' MessageText: cannot load connect to service module
    Public Shared NV_SERVICE_ERROR As Long = &HD5DA002A

    ' MessageId: NV_PROFILE_SAVE_ERROR
    ' MessageText: error saving profile
    Public Shared NV_PROFILE_SAVE_ERROR As Long = &HD5DA002B

    ' MessageId: NV_PROFILE_DELETE_ERROR
    ' MessageText: error deleting profile
    Public Shared NV_PROFILE_DELETE_ERROR As Long = &HD5DA002C

    ' MessageId: NV_INVALID_LAYOUT
    ' MessageText: invalid layout id
    Public Shared NV_INVALID_LAYOUT As Long = &HD5DA002D

    ' MessageId: NV_INVALID_EMAIL
    ' MessageText: invalid email id
    Public Shared NV_INVALID_EMAIL As Long = &HD5DA002E

    ' MessageId: NV_INVALID_RECIPIENT
    ' MessageText: invalid email recipient id
    Public Shared NV_INVALID_RECIPIENT As Long = &HD5DA002F

    ' MessageId: NV_INVALID_LICENSE
    ' MessageText: license does not allow COM usage
    Public Shared NV_INVALID_LICENSE As Long = &HD5DA0030

    ' MessageId: NV_INVALID_ACTION
    ' MessageText: invalid action id
    Public Shared NV_INVALID_ACTION As Long = &HD5DA0031
End Class
