Imports System
Imports System.Drawing
Imports System.Collections
Imports System.ComponentModel
Imports System.Windows.Forms
Imports System.Data
Imports System.Diagnostics
Imports novapiLib90
Imports System.Collections.Generic

Public Class Form1
    Inherits System.Windows.Forms.Form
    Const ERROR_FILE_NOT_FOUND As Integer = 2
    Const ERROR_ACCESS_DENIED As Integer = 5
    Const PRINTER_NAME As String = "novaPDF SDK 9"
    Const SMALL_SIZE_PROFILE As String = "Small Size Profile"
    Const FULL_OPT_PROFILE As String = "Full Options Profile"

    Dim newSmallSizeProfileId As String = ""
    Dim newFullSizeProfileId As String = String.Empty

    Const PROFILE_IS_PUBLIC As Integer = 0
    Private mobjNovaOptios As NovaPdfOptions90Class
    Private profilesList As List(Of KeyValuePair(Of String, String))

    Private openFileDialog1 As System.Windows.Forms.OpenFileDialog
    Private WithEvents btnStartPrinting As System.Windows.Forms.Button
    Private WithEvents btnBrowse As System.Windows.Forms.Button
    Private WithEvents cmbProfiles As System.Windows.Forms.ComboBox
    Private label1 As System.Windows.Forms.Label
    Private groupBox1 As System.Windows.Forms.GroupBox
    Private chkCompress As System.Windows.Forms.CheckBox
    Private chkEmbedFonts As System.Windows.Forms.CheckBox
    Private chkDetectLinks As System.Windows.Forms.CheckBox
    Private groupBox2 As System.Windows.Forms.GroupBox
    Private txtTitle As System.Windows.Forms.TextBox
    Private label2 As System.Windows.Forms.Label
    Private txtSubject As System.Windows.Forms.TextBox
    Private label3 As System.Windows.Forms.Label
    Private groupBox3 As System.Windows.Forms.GroupBox
    Private label4 As System.Windows.Forms.Label
    Private txtFilename As System.Windows.Forms.TextBox
    Private groupBox4 As System.Windows.Forms.GroupBox
    Private txtFileToConvert As System.Windows.Forms.TextBox
    Private WithEvents btnCancel As System.Windows.Forms.Button
    Private components As System.ComponentModel.Container = Nothing

#Region " Windows Form Designer generated code "

    Public Sub New()
        InitializeComponent()
    End Sub

    Protected Overloads Overrides Sub Dispose(ByVal disposing As Boolean)
        If disposing Then
            If Not (components Is Nothing) Then
                components.Dispose()
            End If
        End If
        MyBase.Dispose(disposing)
    End Sub

    Private Sub InitializeComponent()
        Me.btnStartPrinting = New System.Windows.Forms.Button
        Me.btnBrowse = New System.Windows.Forms.Button
        Me.openFileDialog1 = New System.Windows.Forms.OpenFileDialog
        Me.cmbProfiles = New System.Windows.Forms.ComboBox
        Me.label1 = New System.Windows.Forms.Label
        Me.groupBox1 = New System.Windows.Forms.GroupBox
        Me.chkDetectLinks = New System.Windows.Forms.CheckBox
        Me.chkEmbedFonts = New System.Windows.Forms.CheckBox
        Me.chkCompress = New System.Windows.Forms.CheckBox
        Me.groupBox2 = New System.Windows.Forms.GroupBox
        Me.label3 = New System.Windows.Forms.Label
        Me.txtSubject = New System.Windows.Forms.TextBox
        Me.label2 = New System.Windows.Forms.Label
        Me.txtTitle = New System.Windows.Forms.TextBox
        Me.groupBox3 = New System.Windows.Forms.GroupBox
        Me.txtFilename = New System.Windows.Forms.TextBox
        Me.label4 = New System.Windows.Forms.Label
        Me.groupBox4 = New System.Windows.Forms.GroupBox
        Me.txtFileToConvert = New System.Windows.Forms.TextBox
        Me.btnCancel = New System.Windows.Forms.Button
        Me.groupBox1.SuspendLayout()
        Me.groupBox2.SuspendLayout()
        Me.groupBox3.SuspendLayout()
        Me.groupBox4.SuspendLayout()
        Me.SuspendLayout()
        '
        'btnStartPrinting
        '
        Me.btnStartPrinting.Location = New System.Drawing.Point(400, 288)
        Me.btnStartPrinting.Name = "btnStartPrinting"
        Me.btnStartPrinting.Size = New System.Drawing.Size(80, 24)
        Me.btnStartPrinting.TabIndex = 10
        Me.btnStartPrinting.Text = "Start Printing"
        '
        'btnBrowse
        '
        Me.btnBrowse.Location = New System.Drawing.Point(472, 16)
        Me.btnBrowse.Name = "btnBrowse"
        Me.btnBrowse.Size = New System.Drawing.Size(64, 24)
        Me.btnBrowse.TabIndex = 9
        Me.btnBrowse.Text = "Browse"
        '
        'cmbProfiles
        '
        Me.cmbProfiles.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList
        Me.cmbProfiles.Location = New System.Drawing.Point(16, 24)
        Me.cmbProfiles.Name = "cmbProfiles"
        Me.cmbProfiles.Size = New System.Drawing.Size(168, 21)
        Me.cmbProfiles.TabIndex = 0
        '
        'label1
        '
        Me.label1.Location = New System.Drawing.Point(16, 8)
        Me.label1.Name = "label1"
        Me.label1.Size = New System.Drawing.Size(120, 16)
        Me.label1.TabIndex = 3
        Me.label1.Text = "Select Profile:"
        '
        'groupBox1
        '
        Me.groupBox1.Controls.Add(Me.chkDetectLinks)
        Me.groupBox1.Controls.Add(Me.chkEmbedFonts)
        Me.groupBox1.Controls.Add(Me.chkCompress)
        Me.groupBox1.Location = New System.Drawing.Point(16, 56)
        Me.groupBox1.Name = "groupBox1"
        Me.groupBox1.Size = New System.Drawing.Size(144, 88)
        Me.groupBox1.TabIndex = 4
        Me.groupBox1.TabStop = False
        Me.groupBox1.Text = "Options"
        '
        'chkDetectLinks
        '
        Me.chkDetectLinks.Location = New System.Drawing.Point(16, 64)
        Me.chkDetectLinks.Name = "chkDetectLinks"
        Me.chkDetectLinks.Size = New System.Drawing.Size(112, 16)
        Me.chkDetectLinks.TabIndex = 3
        Me.chkDetectLinks.Text = "Detect Links"
        '
        'chkEmbedFonts
        '
        Me.chkEmbedFonts.Location = New System.Drawing.Point(16, 40)
        Me.chkEmbedFonts.Name = "chkEmbedFonts"
        Me.chkEmbedFonts.Size = New System.Drawing.Size(104, 16)
        Me.chkEmbedFonts.TabIndex = 2
        Me.chkEmbedFonts.Text = "Embed Fonts"
        '
        'chkCompress
        '
        Me.chkCompress.Location = New System.Drawing.Point(16, 16)
        Me.chkCompress.Name = "chkCompress"
        Me.chkCompress.Size = New System.Drawing.Size(96, 16)
        Me.chkCompress.TabIndex = 1
        Me.chkCompress.Text = "Compress"
        '
        'groupBox2
        '
        Me.groupBox2.Controls.Add(Me.label3)
        Me.groupBox2.Controls.Add(Me.txtSubject)
        Me.groupBox2.Controls.Add(Me.label2)
        Me.groupBox2.Controls.Add(Me.txtTitle)
        Me.groupBox2.Location = New System.Drawing.Point(176, 56)
        Me.groupBox2.Name = "groupBox2"
        Me.groupBox2.Size = New System.Drawing.Size(392, 88)
        Me.groupBox2.TabIndex = 5
        Me.groupBox2.TabStop = False
        Me.groupBox2.Text = "Doc Info"
        '
        'label3
        '
        Me.label3.Location = New System.Drawing.Point(8, 58)
        Me.label3.Name = "label3"
        Me.label3.Size = New System.Drawing.Size(48, 16)
        Me.label3.TabIndex = 3
        Me.label3.Text = "Subject:"
        '
        'txtSubject
        '
        Me.txtSubject.Location = New System.Drawing.Point(64, 56)
        Me.txtSubject.Name = "txtSubject"
        Me.txtSubject.Size = New System.Drawing.Size(312, 20)
        Me.txtSubject.TabIndex = 5
        '
        'label2
        '
        Me.label2.Location = New System.Drawing.Point(8, 26)
        Me.label2.Name = "label2"
        Me.label2.Size = New System.Drawing.Size(48, 16)
        Me.label2.TabIndex = 1
        Me.label2.Text = "Title:"
        '
        'txtTitle
        '
        Me.txtTitle.Location = New System.Drawing.Point(64, 24)
        Me.txtTitle.Name = "txtTitle"
        Me.txtTitle.Size = New System.Drawing.Size(312, 20)
        Me.txtTitle.TabIndex = 4
        '
        'groupBox3
        '
        Me.groupBox3.Controls.Add(Me.txtFilename)
        Me.groupBox3.Controls.Add(Me.label4)
        Me.groupBox3.Location = New System.Drawing.Point(16, 160)
        Me.groupBox3.Name = "groupBox3"
        Me.groupBox3.Size = New System.Drawing.Size(552, 48)
        Me.groupBox3.TabIndex = 6
        Me.groupBox3.TabStop = False
        Me.groupBox3.Text = "PDF Name"
        '
        'txtFilename
        '
        Me.txtFilename.Location = New System.Drawing.Point(79, 20)
        Me.txtFilename.Name = "txtFilename"
        Me.txtFilename.Size = New System.Drawing.Size(457, 20)
        Me.txtFilename.TabIndex = 6
        '
        'label4
        '
        Me.label4.Location = New System.Drawing.Point(16, 22)
        Me.label4.Name = "label4"
        Me.label4.Size = New System.Drawing.Size(64, 16)
        Me.label4.TabIndex = 0
        Me.label4.Text = "File Name:"
        '
        'groupBox4
        '
        Me.groupBox4.Controls.Add(Me.txtFileToConvert)
        Me.groupBox4.Controls.Add(Me.btnBrowse)
        Me.groupBox4.Location = New System.Drawing.Point(16, 224)
        Me.groupBox4.Name = "groupBox4"
        Me.groupBox4.Size = New System.Drawing.Size(552, 48)
        Me.groupBox4.TabIndex = 7
        Me.groupBox4.TabStop = False
        Me.groupBox4.Text = "File to convert "
        '
        'txtFileToConvert
        '
        Me.txtFileToConvert.Location = New System.Drawing.Point(16, 18)
        Me.txtFileToConvert.Name = "txtFileToConvert"
        Me.txtFileToConvert.Size = New System.Drawing.Size(440, 20)
        Me.txtFileToConvert.TabIndex = 8
        '
        'btnCancel
        '
        Me.btnCancel.Location = New System.Drawing.Point(488, 288)
        Me.btnCancel.Name = "btnCancel"
        Me.btnCancel.Size = New System.Drawing.Size(72, 24)
        Me.btnCancel.TabIndex = 11
        Me.btnCancel.Text = "Cancel"
        '
        'Form1
        '
        Me.AutoScaleBaseSize = New System.Drawing.Size(5, 13)
        Me.ClientSize = New System.Drawing.Size(576, 325)
        Me.Controls.Add(Me.btnCancel)
        Me.Controls.Add(Me.groupBox4)
        Me.Controls.Add(Me.groupBox3)
        Me.Controls.Add(Me.groupBox2)
        Me.Controls.Add(Me.groupBox1)
        Me.Controls.Add(Me.label1)
        Me.Controls.Add(Me.cmbProfiles)
        Me.Controls.Add(Me.btnStartPrinting)
        Me.Name = "Form1"
        Me.Text = "VB.Net Converter"
        Me.groupBox1.ResumeLayout(False)
        Me.groupBox2.ResumeLayout(False)
        Me.groupBox2.PerformLayout()
        Me.groupBox3.ResumeLayout(False)
        Me.groupBox3.PerformLayout()
        Me.groupBox4.ResumeLayout(False)
        Me.groupBox4.PerformLayout()
        Me.ResumeLayout(False)

    End Sub
#End Region

    <STAThread()> _
    Shared Sub Main()
        Application.Run(New Form1)
    End Sub

    Private Sub btnStartPrinting_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnStartPrinting.Click
        UpdateProfileFromDialog()
        If txtFileToConvert.Text.Trim = "" Then
            MessageBox.Show("No file to convert!")
            Return
        End If
        mobjNovaOptios.SetActiveProfile(profilesList.Item(cmbProfiles.SelectedIndex).Value)
        mobjNovaOptios.SetDefaultPrinter()
        mobjNovaOptios.LicenseShellExecuteFile(txtFileToConvert.Text)
        Dim myProcess As Process = New Process
        Try
            myProcess.StartInfo.FileName = txtFileToConvert.Text
            myProcess.StartInfo.Verb = "Print"
            myProcess.StartInfo.CreateNoWindow = True
            myProcess.StartInfo.WindowStyle = ProcessWindowStyle.Hidden
            myProcess.Start()
        Catch ex As Win32Exception
            If ex.NativeErrorCode = ERROR_FILE_NOT_FOUND Then
                Console.WriteLine(ex.Message + ". Check the path and filename")
            Else
                ' Note that if your word processor might generate exceptions
                ' such as this, which are handled first.
                If ex.NativeErrorCode = ERROR_ACCESS_DENIED Then
                    Console.WriteLine(ex.Message + ". You do not have permission to print this file.")
                End If
            End If
        End Try
        myProcess.WaitForExit(10000)
        myProcess.Close()
        mobjNovaOptios.RestoreDefaultPrinter()
    End Sub

    Private Sub btnBrowse_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnBrowse.Click
        Dim prntDialogResult As System.Windows.Forms.DialogResult = openFileDialog1.ShowDialog
        txtFileToConvert.Text = openFileDialog1.FileName
    End Sub

    Private Sub Form1_FormClosing(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Me.FormClosing
        mobjNovaOptios.DeleteProfile(newFullSizeProfileId)
        mobjNovaOptios.DeleteProfile(newSmallSizeProfileId)
    End Sub


    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load

        Try
            mobjNovaOptios = New NovaPdfOptions90Class
            profilesList = New List(Of KeyValuePair(Of String, String))

            ' initialize the NovaPdfOptions object
            ' if you have an application license for novaPDF SDK,
            ' pass the license key to the Initialize() function
            mobjNovaOptios.Initialize(PRINTER_NAME, "")

            cmbProfiles.Items.Clear()
            AddSmallProfile()
            AddFullProfile()

            Dim strProfile As String = ""
            Dim strActiveProfile As String = ""

            ' get the active profile ...
            Try
                mobjNovaOptios.GetActiveProfile(strActiveProfile)
            Catch exc As System.Runtime.InteropServices.COMException
                'ignore profile exists error
                If NovaErrors.NV_NO_ACTIVE_PROFILE = exc.ErrorCode Then
                    System.Console.WriteLine("The printer does not have an active profile")
                Else
                    ' more	serious	error, propagate it
                    Throw exc
                End If
            End Try

            Dim name As String = ""
            mobjNovaOptios.GetFirstProfile(strProfile)
            mobjNovaOptios.LoadProfile(strProfile)

            mobjNovaOptios.GetOptionString(NovaOptions.NOVAPDF_PROFILE_NAME, name)

            profilesList.Add(New KeyValuePair(Of String, String)(name, strProfile))
            Dim curr As Integer = cmbProfiles.Items.Add(name)

            'cmbProfiles.Items.Add(strProfile)

            If strProfile = strActiveProfile Then
                cmbProfiles.SelectedItem = strProfile
            End If
            Try
                While True
                    mobjNovaOptios.GetNextProfile(strProfile)
                    mobjNovaOptios.LoadProfile(strProfile)
                    mobjNovaOptios.GetOptionString(NovaOptions.NOVAPDF_PROFILE_NAME, name)
                    profilesList.Add(New KeyValuePair(Of String, String)(name, strProfile))
                    curr = cmbProfiles.Items.Add(name)

                    'Dim curr As Integer = cmbProfiles.Items.Add(strProfile)
                    If strProfile = strActiveProfile Then
                        cmbProfiles.SelectedItem = strProfile
                    End If
                End While
            Catch ComException As System.Runtime.InteropServices.COMException
                If Not (((Not ComException.ErrorCode Xor NovaErrors.NV_NO_MORE_PROFILES) Xor -1) = 0) Then
                    Throw ComException
                End If
            End Try
            If cmbProfiles.SelectedIndex < 0 Then
                cmbProfiles.SelectedIndex = 0
            End If
            UpdateDialogFromProfile()
        Catch ex As Exception
            System.Diagnostics.Debug.WriteLine(ex.Message)
        End Try
    End Sub

    Private Sub AddSmallProfile()
        Try

            ' mark start changing options
            'mobjNovaOptios.StartUpdateProfiles()
            ' add new profile
            mobjNovaOptios.AddProfile(SMALL_SIZE_PROFILE, PROFILE_IS_PUBLIC, newSmallSizeProfileId)

            'load the new profile
            mobjNovaOptios.LoadProfile(newSmallSizeProfileId)

            ' Set some options to this profile
            ' disable the "Save PDF file as" prompt
            mobjNovaOptios.SetOptionLong(NovaOptions.NOVAPDF_SAVE_PROMPT_TYPE, 0)
            ' set generated Pdf files destination folder  "c:\"
            mobjNovaOptios.SetOptionString(NovaOptions.NOVAPDF_SAVE_FOLDER, "c:\\")
            ' set output file name
            mobjNovaOptios.SetOptionString(NovaOptions.NOVAPDF_SAVE_FILE_NAME, "PDF Converter small size.pdf")
            ' if file exists in the destination folder, append a counter to the end of the file name
            mobjNovaOptios.SetOptionLong(NovaOptions.NOVAPDF_SAVE_FILEEXIST_ACTION, SaveFileConflictType.FILE_CONFLICT_STRATEGY_AUTONUMBER_NEW)
            ' don't detect URLs
            mobjNovaOptios.SetOptionBool(NovaOptions.NOVAPDF_URL_ANALIZE, 0)

            ' Set image compresion method to JPEG and quality to 75, possible values are from 10 to 100
            mobjNovaOptios.SetOptionBool(NovaOptions.NOVAPDF_COMPRESS_ENABLE, 1)
            mobjNovaOptios.SetOptionBool(NovaOptions.NOVAPDF_COMPRESS_HIGH_COLOR, 1)
            mobjNovaOptios.SetOptionLong(NovaOptions.NOVAPDF_COMPRESS_HIGH_COLOR_LEVEL, 75)

            ' make sure text compression is enabled, and set compression level to 9  maximum   posible values are 1-9
            mobjNovaOptios.SetOptionBool(NovaOptions.NOVAPDF_COMPRESS_TEXT_GRAPHICS, 1)
            mobjNovaOptios.SetOptionLong(NovaOptions.NOVAPDF_COMPRESS_TEXT_GRAPHICS_LEVEL, 9)

            ' disable unused font embeding
            mobjNovaOptios.SetOptionBool(NovaOptions.NOVAPDF_FONTS_EMBED_ALL_USED_FONTS, 0)

            ' mark finish changing options so they are saved for the printer
            mobjNovaOptios.SaveProfile()

        Catch ComException As System.Runtime.InteropServices.COMException
            'If ((Not ComException.ErrorCode Xor NovaErrors.NV_PROFILE_EXISTS) Xor -1) = 0 Then
            '	System.Diagnostics.Debug.WriteLine("Profile ""Small Size Profile"" exists")
            'Else
            '	MessageBox.Show("Error creating Small Size Profile:" & Microsoft.VisualBasic.Chr(13) & "" & Microsoft.VisualBasic.Chr(10) & "" + ComException.Message)
            '	System.Diagnostics.Debug.WriteLine(ComException.Message)
            'End If
        End Try
    End Sub

    Private Sub AddFullProfile()
        Try
            ' mark start changing options
            'mobjNovaOptios.StartUpdateProfiles()
            ' Add the profile "Full options", and edit its options


            mobjNovaOptios.AddProfile(FULL_OPT_PROFILE, PROFILE_IS_PUBLIC, newFullSizeProfileId)
            'load the new profile
            mobjNovaOptios.LoadProfile(newFullSizeProfileId)
            ' disable the "Save PDF file as" prompt
            mobjNovaOptios.SetOptionLong(NovaOptions.NOVAPDF_SAVE_PROMPT_TYPE, 0)
            ' set generated Pdf files destination folder  "c:\"
            mobjNovaOptios.SetOptionString(NovaOptions.NOVAPDF_SAVE_FOLDER, "c:\\")
            ' set output file name "[N] full", the [N] macro means document name
            mobjNovaOptios.SetOptionString(NovaOptions.NOVAPDF_SAVE_FILE_NAME, "[N] full")
            ' if file exists in the destination folder, append a counter to the end of the file name
            mobjNovaOptios.SetOptionLong(NovaOptions.NOVAPDF_SAVE_FILEEXIST_ACTION, SaveFileConflictType.FILE_CONFLICT_STRATEGY_AUTONUMBER_NEW)
            ' enable URL detection
            mobjNovaOptios.SetOptionBool(NovaOptions.NOVAPDF_URL_ANALIZE, 1)
            ' set image JPEG quality to 100  maximum
            mobjNovaOptios.SetOptionBool(NovaOptions.NOVAPDF_COMPRESS_ENABLE, 1)
            mobjNovaOptios.SetOptionLong(NovaOptions.NOVAPDF_COMPRESS_HIGH_COLOR_TYPE, CompressionMethod.COMPRESS_METHOD_JPEG)
            mobjNovaOptios.SetOptionLong(NovaOptions.NOVAPDF_COMPRESS_HIGH_COLOR_LEVEL, 100)

            ' set text compression to 6  on the "zip" scale from 0 to 9
            mobjNovaOptios.SetOptionBool(NovaOptions.NOVAPDF_COMPRESS_TEXT_GRAPHICS, 1)
            mobjNovaOptios.SetOptionLong(NovaOptions.NOVAPDF_COMPRESS_TEXT_GRAPHICS_LEVEL, 6)
            ' enable font files embedding
            mobjNovaOptios.SetOptionBool(NovaOptions.NOVAPDF_FONTS_EMBED_ALL_USED_FONTS, 1)
            ' mark finish changing options so they are saved for the printer
            mobjNovaOptios.SaveProfile()
        Catch ComException As System.Runtime.InteropServices.COMException
            'If ((Not ComException.ErrorCode Xor NovaErrors.NV_PROFILE_EXISTS) Xor -1) = 0 Then
            '	System.Diagnostics.Debug.WriteLine("Profile ""Full Options Profile"" exists")
            'Else
            '	MessageBox.Show("Error creating Full Options Profile:" & Microsoft.VisualBasic.Chr(13) & "" & Microsoft.VisualBasic.Chr(10) & "" + ComException.Message)
            '	System.Diagnostics.Debug.WriteLine(ComException.Message)
            'End If
        End Try
    End Sub

    Private Sub UpdateDialogFromProfile()
        Dim intValue As Integer = 0
        Dim strProfile As String = ""
        Try
            ' mark start changing options
            'mobjNovaOptios.StartUpdateProfiles()
            Dim pair As KeyValuePair(Of String, String) = New KeyValuePair(Of String, String)(5, 8)
            strProfile = profilesList.Item(cmbProfiles.SelectedIndex).Value

            'load the new profile
            mobjNovaOptios.LoadProfile(strProfile)
            mobjNovaOptios.GetOptionBool(NovaOptions.NOVAPDF_COMPRESS_TEXT_GRAPHICS, intValue)
            chkCompress.CheckState = Microsoft.VisualBasic.IIf(intValue = 1, CheckState.Checked, CheckState.Unchecked)
            mobjNovaOptios.GetOptionBool(NovaOptions.NOVAPDF_URL_ANALIZE, intValue)
            chkDetectLinks.CheckState = Microsoft.VisualBasic.IIf(intValue = 1, CheckState.Checked, CheckState.Unchecked)
            mobjNovaOptios.GetOptionBool(NovaOptions.NOVAPDF_FONTS_EMBED_ALL_USED_FONTS, intValue)
            chkEmbedFonts.CheckState = Microsoft.VisualBasic.IIf(intValue = 1, CheckState.Checked, CheckState.Unchecked)
            Dim strValue As String = ""
            mobjNovaOptios.GetOptionString(NovaOptions.NOVAPDF_SAVE_FILE_NAME, strValue)
            txtFilename.Text = strValue
            mobjNovaOptios.GetOptionString(NovaOptions.NOVAPDF_DOCINFO_SUBJECT, strValue)
            txtSubject.Text = strValue
            mobjNovaOptios.GetOptionString2(NovaOptions.NOVAPDF_DOCINFO_TITLE, strValue)
            txtTitle.Text = strValue
            ' mark finish changing options so they are saved for the printer
            'mobjNovaOptios.EndUpdateProfiles()
        Catch e As Exception
            MessageBox.Show("Error retrieving profile """ + strProfile + """ options:" & Microsoft.VisualBasic.Chr(13) & "" & Microsoft.VisualBasic.Chr(10) & "" + e.Message)
            System.Diagnostics.Debug.WriteLine(e.Message)
        End Try
    End Sub

    Private Sub UpdateProfileFromDialog()
        Dim strProfile As String
        'strProfile = CType(cmbProfiles.SelectedItem, String)
        strProfile = profilesList.Item(cmbProfiles.SelectedIndex).Value
        Try
            ' mark start changing options
            'mobjNovaOptios.StartUpdateProfiles()
            mobjNovaOptios.SetOptionBool(NovaOptions.NOVAPDF_COMPRESS_TEXT_GRAPHICS, Microsoft.VisualBasic.IIf(chkCompress.CheckState = CheckState.Checked, 1, 0))
            mobjNovaOptios.SetOptionBool(NovaOptions.NOVAPDF_URL_ANALIZE, Microsoft.VisualBasic.IIf(chkDetectLinks.CheckState = CheckState.Checked, 1, 0))
            mobjNovaOptios.SetOptionBool(NovaOptions.NOVAPDF_FONTS_EMBED_ALL_USED_FONTS, Microsoft.VisualBasic.IIf(chkEmbedFonts.CheckState = CheckState.Checked, 1, 0))
            mobjNovaOptios.SetOptionString(NovaOptions.NOVAPDF_SAVE_FILE_NAME, txtFilename.Text)
            mobjNovaOptios.SetOptionString(NovaOptions.NOVAPDF_DOCINFO_SUBJECT, txtSubject.Text)
            mobjNovaOptios.SetOptionString(NovaOptions.NOVAPDF_DOCINFO_TITLE, txtTitle.Text)
            ' mark finish changing options so they are saved for the printer
            mobjNovaOptios.SaveProfile()
        Catch e As Exception
            MessageBox.Show("Error saving profile """ + strProfile + """ options:" & Microsoft.VisualBasic.Chr(13) & "" & Microsoft.VisualBasic.Chr(10) & "" + e.Message)
            System.Diagnostics.Debug.WriteLine(e.Message)
        End Try
    End Sub


    Private Sub cmbProfiles_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmbProfiles.SelectedIndexChanged
        UpdateDialogFromProfile()
    End Sub

    Private Sub btnCancel_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnCancel.Click
        mobjNovaOptios.DeleteProfile(newSmallSizeProfileId)
        mobjNovaOptios.DeleteProfile(newFullSizeProfileId)
        Me.Close()
    End Sub
End Class
